$("#nama_customer").on("input", function () {
  let keyword = $(this).val();
  console.log(keyword);
  let bu = $("#bu").val();

  if (keyword.length >= 2 && bu !== "") {
    $.ajax({
      url: "asset/autocomplete_customeb.php",
      type: "POST",
      data: {
        keyword: keyword,
        bu: bu,
      },
      success: function (data) {
        $("#customerList").html(data).show();
      },
    });
  } else {
    $("#customerList").hide();
  }
});

$(document).on("click", ".customer-item", function () {
  $("#nama_customer").val($(this).data("nama"));
  $("#idcustomer").val($(this).data("idcustomer"));
  console.log($(this).data("idcustomer"));
  $("#alamat").val($(this).data("alamat"));
  // $("#pic").val($(this).data("pic"));
  $("#email").val($(this).data("email"));
  $("#telp").val($(this).data("telp"));
  $("#kota").val($(this).data("kota"));
  $("#customerList").hide();
});

$("#bu").change(function () {
  $("#nama_customer").val("");
  $("#alamat").val("");
  // $("#pic").val("");
  $("#email").val("");
  $("#telp").val("");
  $("#kota").val("");
  $("#customerList").hide();
});
